## ros-noetic-khi-robot-msgs 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(khi_robot_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)


## Generate messages in the 'msg' folder
#add_message_files(
#   FILES
#)

## Generate services in the 'srv' folder
add_service_files(
   FILES
   KhiRobotCmd.srv
)


## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   std_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES khi_robot_msgs
   CATKIN_DEPENDS message_runtime std_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

#############
## Install ##
#############

#############
## Testing ##
#############

## ros-noetic-khi-robot-msgs 1.3.0

=== debian/changelog ===
ros-noetic-khi-robot-msgs (1.3.0-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.2.0-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.1.2-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.1.1-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.1.0-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.0.0-2buster) buster; urgency=high

  * Refactoring
  * Contributors: nakamichi_d, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (0.9.4-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (0.9.3-2buster) buster; urgency=high

  * Simple command service
  * Contributors: nakamichi_d, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (0.9.2-2buster) buster; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: nakamichi_d, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-khi-robot-msgs
Section: misc
Priority: optional
Maintainer: nakamichi_d <nakamichi_d@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/khi_robot
Standards-Version: 3.9.2

Package: ros-noetic-khi-robot-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: This package contains KHI ROS robot msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-khi-robot-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-khi-robot-msgs 1.4.0

=== debian/changelog ===
ros-noetic-khi-robot-msgs (1.4.0-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 27 Apr 2023 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.3.0-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.2.0-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.1.2-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.1.1-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.1.0-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (1.0.0-2focal) focal; urgency=high

  * Refactoring
  * Contributors: nakamichi_d, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (0.9.4-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (0.9.3-2focal) focal; urgency=high

  * Simple command service
  * Contributors: nakamichi_d, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-noetic-khi-robot-msgs (0.9.2-2focal) focal; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: nakamichi_d, matsui_hiro

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000
